Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-partial-migrate2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
@@ -1,7 +1,7 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="63" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="64" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_migrate_source="pcmk3" CRM_meta_migrate_target="pcmk1" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.2"/>
       </rsc_op>
@@ -10,61 +10,61 @@
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="62" operation="monitor" operation_key="pcmk_remote2_monitor_60000" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="63" operation="monitor" operation_key="pcmk_remote2_monitor_60000" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0">
+      <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0">
         <attributes CRM_meta_name="start" CRM_meta_timeout="10000"  server="172.17.201.2"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="60" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3"/>
+        <rsc_op id="61" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="63" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="64" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="60" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3">
+      <rsc_op id="61" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="60000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="63" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="64" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="67" operation="monitor" operation_key="pcmk_remote4_monitor_60000" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="68" operation="monitor" operation_key="pcmk_remote4_monitor_60000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote4" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000"  server="172.17.201.4"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote4" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="10000"  server="172.17.201.4"/>
       </rsc_op>
@@ -73,20 +73,20 @@
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="73" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="71" operation="migrate_to" operation_key="pcmk_remote5_migrate_to_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="72" operation="migrate_to" operation_key="pcmk_remote5_migrate_to_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="71" operation="migrate_to" operation_key="pcmk_remote5_migrate_to_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="72" operation="migrate_to" operation_key="pcmk_remote5_migrate_to_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.5"/>
       </rsc_op>
@@ -95,86 +95,86 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="70" operation="monitor" operation_key="pcmk_remote5_monitor_60000" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="71" operation="monitor" operation_key="pcmk_remote5_monitor_60000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="69" operation="start" operation_key="pcmk_remote5_start_0"/>
+        <pseudo_event id="70" operation="start" operation_key="pcmk_remote5_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="69" operation="start" operation_key="pcmk_remote5_start_0">
+      <pseudo_event id="70" operation="start" operation_key="pcmk_remote5_start_0">
         <attributes CRM_meta_name="start" CRM_meta_timeout="10000"  server="172.17.201.5"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="55" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="56" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="69" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="73" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="69" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="73" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="83" operation="monitor" operation_key="FAKE5_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="84" operation="monitor" operation_key="FAKE5_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="82" operation="start" operation_key="FAKE5_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="83" operation="start" operation_key="FAKE5_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <rsc_op id="82" operation="start" operation_key="FAKE5_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="83" operation="start" operation_key="FAKE5_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="81" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="82" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="81" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="82" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -183,42 +183,42 @@
   </synapse>
   <synapse id="14">
     <action_set>
-      <rsc_op id="92" operation="monitor" operation_key="FAKE9_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="93" operation="monitor" operation_key="FAKE9_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="91" operation="start" operation_key="FAKE9_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="92" operation="start" operation_key="FAKE9_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="91" operation="start" operation_key="FAKE9_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="92" operation="start" operation_key="FAKE9_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="90" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="91" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <rsc_op id="90" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="91" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -227,36 +227,36 @@
   </synapse>
   <synapse id="17">
     <action_set>
-      <rsc_op id="99" operation="monitor" operation_key="FAKE12_monitor_10000" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="100" operation="monitor" operation_key="FAKE12_monitor_10000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="98" operation="start" operation_key="FAKE12_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="99" operation="start" operation_key="FAKE12_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <rsc_op id="98" operation="start" operation_key="FAKE12_start_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="99" operation="start" operation_key="FAKE12_start_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="97" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="98" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19">
     <action_set>
-      <rsc_op id="97" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="98" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -265,36 +265,36 @@
   </synapse>
   <synapse id="20">
     <action_set>
-      <rsc_op id="104" operation="monitor" operation_key="FAKE14_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="105" operation="monitor" operation_key="FAKE14_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="103" operation="start" operation_key="FAKE14_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="104" operation="start" operation_key="FAKE14_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <rsc_op id="103" operation="start" operation_key="FAKE14_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="104" operation="start" operation_key="FAKE14_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="102" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="103" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <rsc_op id="102" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="103" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -303,42 +303,42 @@
   </synapse>
   <synapse id="23">
     <action_set>
-      <rsc_op id="111" operation="monitor" operation_key="FAKE17_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="112" operation="monitor" operation_key="FAKE17_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="110" operation="start" operation_key="FAKE17_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="111" operation="start" operation_key="FAKE17_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24">
     <action_set>
-      <rsc_op id="110" operation="start" operation_key="FAKE17_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="111" operation="start" operation_key="FAKE17_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="109" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="110" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <rsc_op id="109" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="110" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -347,42 +347,42 @@
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="128" operation="monitor" operation_key="FAKE25_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="129" operation="monitor" operation_key="FAKE25_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="127" operation="start" operation_key="FAKE25_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="128" operation="start" operation_key="FAKE25_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <rsc_op id="127" operation="start" operation_key="FAKE25_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="128" operation="start" operation_key="FAKE25_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="126" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="127" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28">
     <action_set>
-      <rsc_op id="126" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="127" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -391,36 +391,36 @@
   </synapse>
   <synapse id="29">
     <action_set>
-      <rsc_op id="135" operation="monitor" operation_key="FAKE28_monitor_10000" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="136" operation="monitor" operation_key="FAKE28_monitor_10000" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="134" operation="start" operation_key="FAKE28_start_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="135" operation="start" operation_key="FAKE28_start_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="30">
     <action_set>
-      <rsc_op id="134" operation="start" operation_key="FAKE28_start_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="135" operation="start" operation_key="FAKE28_start_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="133" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3"/>
+        <rsc_op id="134" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="31">
     <action_set>
-      <rsc_op id="133" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3">
+      <rsc_op id="134" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
